package com.cweb.msg;

import com.alibaba.fastjson.JSONObject;
import com.hai.common.utils.DateUtil;
import com.hai.entity.HighOrder;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
import org.apache.rocketmq.spring.core.RocketMQListener;
import org.springframework.stereotype.Component;

import java.util.Date;

@Component
@Slf4j
@RocketMQMessageListener(consumerGroup = "order-cancel-group", topic = "order-topic",selectorExpression = "cancel")
public class OrderCancelConsumer implements RocketMQListener<HighOrder> {
    @Override
    public void onMessage(HighOrder order) {
/*        System.out.println(JSONObject.toJSONString(order));*/
        try {
            System.out.println(DateUtil.date2String(new Date(), "yyyy-MM-dd HH:mm:ss") + "取消订单：" + order.getOrderNo());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
