package com.hai.dao;

import com.hai.entity.HighDiscountCouponRel;
import com.hai.entity.HighDiscountCouponRelExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighDiscountCouponRelMapper extends HighDiscountCouponRelMapperExt {
    @SelectProvider(type=HighDiscountCouponRelSqlProvider.class, method="countByExample")
    long countByExample(HighDiscountCouponRelExample example);

    @DeleteProvider(type=HighDiscountCouponRelSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighDiscountCouponRelExample example);

    @Delete({
        "delete from high_discount_coupon_rel",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_discount_coupon_rel (discount_id, create_time, ",
        "coupon_id, `status`, ",
        "ext_1, ext_2, ext_3)",
        "values (#{discountId,jdbcType=BIGINT}, #{createTime,jdbcType=TIMESTAMP}, ",
        "#{couponId,jdbcType=BIGINT}, #{status,jdbcType=INTEGER}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighDiscountCouponRel record);

    @InsertProvider(type=HighDiscountCouponRelSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighDiscountCouponRel record);

    @SelectProvider(type=HighDiscountCouponRelSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="discount_id", property="discountId", jdbcType=JdbcType.BIGINT),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="coupon_id", property="couponId", jdbcType=JdbcType.BIGINT),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighDiscountCouponRel> selectByExample(HighDiscountCouponRelExample example);

    @Select({
        "select",
        "id, discount_id, create_time, coupon_id, `status`, ext_1, ext_2, ext_3",
        "from high_discount_coupon_rel",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="discount_id", property="discountId", jdbcType=JdbcType.BIGINT),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="coupon_id", property="couponId", jdbcType=JdbcType.BIGINT),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighDiscountCouponRel selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighDiscountCouponRelSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighDiscountCouponRel record, @Param("example") HighDiscountCouponRelExample example);

    @UpdateProvider(type=HighDiscountCouponRelSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighDiscountCouponRel record, @Param("example") HighDiscountCouponRelExample example);

    @UpdateProvider(type=HighDiscountCouponRelSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighDiscountCouponRel record);

    @Update({
        "update high_discount_coupon_rel",
        "set discount_id = #{discountId,jdbcType=BIGINT},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "coupon_id = #{couponId,jdbcType=BIGINT},",
          "`status` = #{status,jdbcType=INTEGER},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighDiscountCouponRel record);
}