package com.hai.service;

import com.hai.entity.HighGoldRec;

import java.util.List;
import java.util.Map;

/**
 * @Auther: 胡锐
 * @Description: 金币记录
 * @Date: 2021/3/27 10:01
 */
public interface HighGoldRecService {

    /**
     * @Author 胡锐
     * @Description 增加记录
     * @Date 2021/3/27 10:02
     **/
    void insertGoldRec(HighGoldRec highGoldRec);

    /**
    * @Author Sum1Dream
    * @name updateGoldRec.java
    * @Description // 修改记录
    * @Date 09:24 2022/8/6
    * @Param [com.hai.entity.HighGoldRec]
    * @return void
    */
    void updateGoldRec(HighGoldRec highGoldRec);


    /**
     * @Author 胡锐
     * @Description 查询记录
     * @Date 2021/3/27 10:03
     **/
    List<HighGoldRec> getGoldRec(Map<String, Object> map);

    /**
     * @Author Sum1Dream
     * @name queryGold.java
     * @Description // 查询金币使用统计
     * @Date 15:28 2021/9/22
     * @Param [map]
     * @return java.util.Map<java.lang.Long,java.lang.Long>
     **/
    List<Map<Long , Long> > queryGold(Map<String, Object> map);

    /**
    * @Author Sum1Dream
    * @name selectByExpiringSoon.java
    * @Description // 查询七天内即将过期积分
    * @Date 10:04 2022/8/5
    * @Param []
    * @return java.util.List<com.hai.entity.HighGoldRec>
    */
    List<HighGoldRec> selectByExpiringSoon(Long userId , Integer day);

    /**
     * @Author Sum1Dream
     * @name selectByExpiringSoon.java
     * @Description // 查询七天内即将过期积分
     * @Date 10:04 2022/8/5
     * @Param []
     * @return java.util.List<com.hai.entity.HighGoldRec>
     */
    List<HighGoldRec> selectByExpiringSoonByAll(Integer day);

}
